package com.bonus.canteen.core.auth.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;

import java.io.Serializable;

@ApiModel("登录入参")
public class MgrUserLoginDTO implements Serializable {
   @ApiModelProperty("用户名")
   private @NotBlank(
   message = "用户名不能为空"
) String username;
   @ApiModelProperty("密码")
   private @NotBlank(
   message = "密码不能为空"
) String password;
   private String scope;
   private String grant_type;
   private String role;
   private String openid;

   public String getUsername() {
      return this.username;
   }

   public String getPassword() {
      return this.password;
   }

   public String getScope() {
      return this.scope;
   }

   public String getGrant_type() {
      return this.grant_type;
   }

   public String getRole() {
      return this.role;
   }

   public String getOpenid() {
      return this.openid;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setPassword(final String password) {
      this.password = password;
   }

   public void setScope(final String scope) {
      this.scope = scope;
   }

   public void setGrant_type(final String grant_type) {
      this.grant_type = grant_type;
   }

   public void setRole(final String role) {
      this.role = role;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public String toString() {
      String var10000 = this.getUsername();
      return "MgrUserLoginDTO(username=" + var10000 + ", password=" + this.getPassword() + ", scope=" + this.getScope() + ", grant_type=" + this.getGrant_type() + ", role=" + this.getRole() + ", openid=" + this.getOpenid() + ")";
   }

   public MgrUserLoginDTO(final String username, final String password, final String scope, final String grant_type, final String role, final String openid) {
      this.username = username;
      this.password = password;
      this.scope = scope;
      this.grant_type = grant_type;
      this.role = role;
      this.openid = openid;
   }

   public MgrUserLoginDTO() {
   }
}
